## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.util
Class PartitionAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition.util.PartitionAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class PartitionAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `PartitionPackage`

Constructor Summary
`PartitionAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createListRangePartitionItemAdapter()` Creates a new adapter for an object of class '`List Range Partition Item`'.
`org.eclipse.emf.common.notify.Adapter` `createPartitionNumInSegmentsAdapter()` Creates a new adapter for an object of class '`Num In Segments`'.
`org.eclipse.emf.common.notify.Adapter` `createPartitionSegmentPairAdapter()` Creates a new adapter for an object of class '`Segment Pair`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEHashPartitionAdapter()` Creates a new adapter for an object of class '`Sybase ASE Hash Partition`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEListPartitionAdapter()` Creates a new adapter for an object of class '`Sybase ASE List Partition`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEPartitionAdapter()` Creates a new adapter for an object of class '`Sybase ASE Partition`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASERangePartitionAdapter()` Creates a new adapter for an object of class '`Sybase ASE Range Partition`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASERoundrobinPartitionAdapter()` Creates a new adapter for an object of class '`Sybase ASE Roundrobin Partition`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartitionAdapterFactory

    public PartitionAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createSybaseASEPartitionAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEPartitionAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Partition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEPartition`

### createSybaseASERangePartitionAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASERangePartitionAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Range Partition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASERangePartition`

### createSybaseASEHashPartitionAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEHashPartitionAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Hash Partition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEHashPartition`

### createSybaseASEListPartitionAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEListPartitionAdapter()

  Creates a new adapter for an object of class '`Sybase ASE List Partition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEListPartition`

### createSybaseASERoundrobinPartitionAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASERoundrobinPartitionAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Roundrobin Partition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASERoundrobinPartition`

### createPartitionSegmentPairAdapter

    public org.eclipse.emf.common.notify.Adapter createPartitionSegmentPairAdapter()

  Creates a new adapter for an object of class '`Segment Pair`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PartitionSegmentPair`

### createPartitionNumInSegmentsAdapter

    public org.eclipse.emf.common.notify.Adapter createPartitionNumInSegmentsAdapter()

  Creates a new adapter for an object of class '`Num In Segments`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PartitionNumInSegments`

### createListRangePartitionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createListRangePartitionItemAdapter()

  Creates a new adapter for an object of class '`List Range Partition Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ListRangePartitionItem`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.